Update-help error message

Welcome Forums General PowerShell Q&A Update-help error message

Viewing 1 reply thread
  • Author
    Posts
    • #178404
      Participant
      Topics: 86
      Replies: 138
      Points: 677
      Rank: Major Contributor

      I ran update-help in PS 6.1 (pwsh.exe) within VSCode.  I got the error message:

      update-help: Failed to update Help for the module(s) ‘Defender, Whea, WindowsDeveloperLicense’ with UI cultures {en-us}: A Help URI cannot contain more than 10 redirections. Specify a valid Help URI. At line 1 char 1.

      <more lines followed, but omitted>

      I had encountered this some months (years?) ago, and saw a post about the proper params to set with the Update-help cmdlet.  I searched the PS forum but just couldn’t find it.

      Would be grateful for any advice and/or guidance.

      Many thanks.

    • #178416
      Participant
      Topics: 2
      Replies: 513
      Points: 1,322
      Helping Hand
      Rank: Community Hero

      Yeah, some of the modules from the Windows team don’t follow the proper guidelines for updatable help and have broken or unusable links in their files.

      You can skip the warnings and such with Update-Help -Force -ErrorAction SilentlyContinue

      • #178428
        Participant
        Topics: 86
        Replies: 138
        Points: 677
        Rank: Major Contributor

        Thank you Joel.  I tried it and it worked perfectly, much appreciated.

Viewing 1 reply thread
  • The topic ‘Update-help error message’ is closed to new replies.